/*
To customize the look and feel of Ionic, you can override the variables
in ionic's _variables.scss file.

For example, you might change some of the default colors:

$light:                           #fff !default;
$stable:                          #f8f8f8 !default;
$positive:                        #4a87ee !default;
$calm:                            #43cee6 !default;
$balanced:                        #66cc33 !default;
$energized:                       #f0b840 !default;
$assertive:                       #ef4e3a !default;
$royal:                           #8a6de9 !default;
$dark:                            #444 !default;
*/

// The path for our ionicons font files, relative to the built CSS in www/css
$ionicons-font-path: "../lib/ionic/fonts" !default;

//Overwrite IONIC Variables

$positive:                        #22313f !default;
$calm:                            #345982 !default;
$balanced:                        #5bc0de !default;
$tabs-positive-bg:                $calm;
$tabs-positive-border:            $calm;
$dark-custom:                     $calm !default;
$dark-white:                      #fff !default;
$item-padding:                    16px !default;

//27 Coupon Variables

$page-background-splash:                url('../img/Phone-Login.png');
$page-background-color-splash:          $calm;
$text-color-white:                      #fff;
$add-pixel-type-20:                     20px;
$add-pixel-type-40:                     ($add-pixel-type-20+20);
$add-pixel-type-75:                     ($add-pixel-type-20+55);
$background-transparent:                transparent;
$bag-red-color:                         #df3e44;
$blue-color:                            #5bc0de;
$black-color:                           #000;
$red:                                   rgb(230, 68, 68);
$width-100:                             ($add-pixel-type-20*5);
$border-color:                          #d7d7d7;
$dark-gray-shed-text:                    #333 !default;
$fade-gray-shed-text:                    #444 !default;
$dark-gray-shed-btn:                     #AAB2BD !default;
$fade-gray-shed-btn:                     #434A54 !default;
$green-color:                            #37BC9B !default;
$font-size-general-small:                12px;
$font-size-general:                      15px;
$awesome-font-size:                      20px;
$date-end-fade:                          #ED6464;
$date-end-soon:                          #D2D1D1;

//Font Family

@font-face {
        font-family: "Open Sans";
        src: url('../fonts/863311768-OpenSans-Regular.eot');
        src: url('../fonts/863311768-OpenSans-Regular.eot?#iefix') format('embedded-opentype'),
        url('../fonts/863311768-OpenSans-Regular.svg#Open Sans') format('svg'),
        url('../fonts/863311768-OpenSans-Regular.woff') format('woff'),
        url('../fonts/863311768-OpenSans-Regular.ttf') format('truetype');
        font-weight: normal;
        font-style: normal;
}
$font-family-opensans:            "Open Sans";
$font-family-base:                $font-family-opensans !default;



// Include all of Ionic
@import "../lib/ionic/scss/ionic";


//Mixins

@mixin border-radius($radius) {
  -webkit-border-radius: $radius;
     -moz-border-radius: $radius;
      -ms-border-radius: $radius;
          border-radius: $radius;
}

//General Class
/*.modal-backdrop.active {
 background-color:$calm;
}*/
.text-center{
  text-align:center;
}
.display-visible{
  display:visible;
}
.display-hide{
  display:none;
}
.blue{
  color:$fade-gray-shed-text;
}
.red{
  color:$red;
}
.border-none{
  border:none;
}
.white{
  background-color:$text-color-white;
}
a{
  color:$blue-color;
  text-decoration:none;
  padding:0px;
}
.card{
  margin:0 0 10px 0 !important;
}
.red{
  color:$red;
}
//Text Color
h2,h3,h6,.dark-gray-text{
  color:$dark-gray-shed-text;
  }
p{
  color:$fade-gray-shed-text;
  font-size:$font-size-general;
}
.text-small{
  font-size:$font-size-general-small !important;
}
.item p{
  @extend p;
}

//LOGIN PAGE

.custom-pane{
  background:$page-background-splash;  
  background-color:$page-background-color-splash;
}
.outer-div{
  display:table;
  width:100%;
  height:100%;
}
.inner-div{
  display:table-cell;
  vertical-align:middle;
}
.loader-icon{
  color:$text-color-white;
}
.margin-top{
  margin-top:$add-pixel-type-40;
}

.button-gray{
  background-color:$dark-gray-shed-btn;
  color:$text-color-white;
}
.button-fade-gray{
  background-color:$fade-gray-shed-btn;
  color:$text-color-white;
}

.sign-in-error{
  display:none;
  margin-right: -3px;
  border: 3px solid #fff;
  p{
    margin:10px 5px 0 5px;
    color:$red;
  }
}
.custom-error-container{
  text-align: center;
  padding: 10px 0;
}
//Splash Page LOgin form Screen

.custom-modal-backdrop {
  top: 32%;
  left: 2%;
  width: 96%;
  height: 45%;
}
.custom-modal-backdrop.active{
      background-color:$background-transparent;
}
.custom-modal{
  @include border-radius(5px);
  background-color:$background-transparent;
  overflow:visible;
  opacity:0.8;
}
.border{
  border: 3px solid $blue-color;
}
.avtar{
    margin: auto;
    width: $add-pixel-type-75;
    @include border-radius(100px);
    height: $add-pixel-type-75;
    background: $text-color-white;
    position: relative;
    @extend .border;
    bottom: 60px;
    z-index:20;
    img{
    width:65px;
    border-radius: 100px;
    margin: auto;
    padding:5px;
    display: block;
  }
}
.custom-list{
  background: $text-color-white;
  color:$blue-color;
  input{
    flex: 1 0 85% !important;
  }
  p{
  color:$black-color;
  }
  a{
    text-decoration:none;
    color:$black-color;
  }
}
.close-btn{
  width: 30px;
  height: 30px;
  background-color: $text-color-white;
  @include border-radius(100px);
  position: absolute;
  z-index: 21;
  @extend .border;
  top: -18px;
  bottom: 17px;
  right: -4px;
  button{
    margin-top: -13px;
    margin-left: -14px;
  }
  i{
    color:$black-color;
  }
}
.border-bottom{
	border-bottom:3px solid $calm;
}
.margin-bottom-custom{
	margin-bottom:$add-pixel-type-40;
}
.text p{
	color:$text-color-white;
}
.input-label{
  padding: 3px 10px 7px 0px;
  text-align: center;
  width:30px;
}

// Home Screen , Saved Coupon Screen

.custom-fa{
  font-size: $awesome-font-size !important;
  padding: 8px 5px 0 5px;
}
.float-right{
  position:absolute;
  right:10px;
  top:11px;
  z-index:200;
  li{
  list-style:none;
  float:left;
  padding-right:15px;
  i{
    cursor:pointer;
  }
  }
}
.float-right li:last-child{
   padding-right:0px;
  }
.icon-right{
  top:4px;
  i{
    font-size:$awesome-font-size;
  }
}
.item-avatar > img:first-child,.item-avatar .item-image, .item-avatar .item-content > img:first-child, .item-avatar .item-content .item-image, .item-avatar-left > img:first-child, .item-avatar-left .item-image, .item-avatar-left .item-content > img:first-child, .item-avatar-left .item-content .item-image{
  max-width:75px;
  margin-top: 3px;
}
.item-avatar, .item-avatar .item-content, .item-avatar-left, .item-avatar-left .item-content {
  padding-left: 110px;
  min-height: 71px;
}
.item-complex .item-content, .item-radio .item-content{
      padding:0;
  }

//Favorite Stores, All Stores

.category{
  .item-avatar{
  h3{
    margin-top:10px;
  }
  span{
   margin-top:8px;
  }
  }
  .item-avatar > img:first-child,.item-avatar .item-image, .item-avatar .item-content > img:first-child, .item-avatar .item-content .item-image, .item-avatar-left > img:first-child, .item-avatar-left .item-image, .item-avatar-left .item-content > img:first-child, .item-avatar-left .item-content .item-image{
    max-width:40px !important;
    margin-top: 3px;
  }
  .item-avatar, .item-avatar .item-content, .item-avatar-left, .item-avatar-left .item-content {
    padding-left: 70px  !important;
    min-height: 70px;
  }
}
.custom-store{
    span{
      margin-top:10px;
    }
    h3{
      margin-top:12px;
    }
}

//Create-alert

.favorite {
  border-color: $calm; 
  a {
    padding: 7px 2px !important;
    background-color: $calm !important;
    i {
    color: #fff; 
    font-size: ($font-size-general)+9;
    }
  }
}
.notification-number{
  width: 20px;
  height: 20px;
  background-color: $red;
  display: block;
  position: absolute;
  top: 2px;
  right: 0px;
  @include border-radius(100px);
  padding:0 6px;
  p{
  color:$text-color-white;
  }
}
.create-alert-dropdown .select2-drop{
  position:relative;
}
.notification-title{
  padding: 15px 10px 0;
}
.notification-row{
  .item{
    padding:0 !important;
  }
}
.status_button {
    background-color: #aab2bd;
    color: #fff;
  }
.color_1 {
  color:yellow;
}
.erase-border-color{
  border-color:$text-color-white;
}
.arrow-left{
  right:0 !important;
  i{
    color:$fade-gray-shed-text;
    font-size:30px;
    margin-top:-6px;
  }
}
//refer and earn
  .refer-earn{
    bottom:0;
  }

  .item-icon-left {
  }
  .menu-link{
    a{
    color:$blue-color;
    }
  }

//menu
.custom-menu{
    .item-complex.item-icon-left .item-content{
       padding: 14px 25px;
       color:$fade-gray-shed-text;
       font-size:$font-size-general;
    }
    i{
    font-size:$awesome-font-size;
    color:$blue-color;
    margin-right:15px;
    width: 30px;
    text-align: center;
  }
}
.share{
  background-color: transparent;
  border: none;
  padding:0 0 15px;
  color:$blue-color;
}
.not_hide_{
  display : none;
}
.tabs-striped.tabs-positive .tab-item.tab-item-active, .tabs-striped.tabs-positive .tab-item.active, .tabs-striped.tabs-positive .tab-item.activated {
  color: $text-color-white;
  border-color: rgba(255, 255, 255, 0.4);
}
.tabs-striped.tabs-positive .tab-item {
  color: rgba(255, 255, 255, 0.4);
}
.remove_tab{
  display: none;
}
.checkbox input, .checkbox-icon {
  width: 25px;
  height: 25px;
  top: 3px;
}
.middle-text p{
  background-color:$fade-gray-shed-text;
  padding:10px 30px;
  margin-top:10px;
  display: inline-block;
  color: $text-color-white;
  @include border-radius(4px);
}
.custom-search{
  background-color:$fade-gray-shed-text;
  padding:0;
  margin:5px 0;
  i{
    position: absolute;
    top: 11px;
    left: 113px;
    color: #999;
    font-size: 19px;
  }
  input{
  text-align:center;
  padding: 0px 6px;
  border: 0;
  border-radius: 4px;
  background: #F5F5F5;
  text-align: center;
  font-size: 14px;
  border: 8px solid #d7d7d7;
  }
}
.coupon-copy{
  border:1px dashed $fade-gray-shed-text !important;
	padding:7px;
  text-align:center;
	font-size:$font-size-general;
	span{
		font-size:$font-size-general-small;
	}
}
.scroll-refresher{
  width:100%;
}
.alert-bg{
	background-color: rgba($red,0.8);
	p{
		color:$text-color-white;
	}
}
.coupon-single{
	display:block;
	border-bottom:5px solid $border-color;
	padding-bottom:15px;
	img{
		display:inline-block;
	}
}
#coupon-sec{
	.item p{
	white-space:normal;
	}
}

//Clip The Text

.truncate_list{
	padding-right:100px;
}

//Expire Date Color

.end_date0{
  color:$date-end-fade !important;
}
.end_date1{
  color:$fade-gray-shed-text !important; 
}
.end_date2{
  color:$date-end-soon !important;
}
.user-profile{
    padding:$add-pixel-type-20 - 10;
}
